Company logoTrust Center Documentation
API v1 ReferenceTrusted byId

Update Trusted By entry

Modify Trusted By metadata. Badge uploads occur through `/api/v1/trusted-by/{id}/badge`. Browse request parameters, authentication requirements, response…

PATCH
/api/v1/trusted-by/{id}

Modify Trusted By metadata. Badge uploads occur through /api/v1/trusted-by/{id}/badge.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Trusted By ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/trusted-by/string" \  -H "Content-Type: application/json" \  -d '{    "title": "Acme Corp",    "url": "https://acme.example.com",    "order": 10  }'
{
  "success": true,
  "data": {
    "id": "customer-123",
    "title": "Acme Corp",
    "badge": "https://directus.example.com/assets/customer-badge",
    "badge_asset_id": "customer-badge",
    "url": "https://acme.example.com",
    "order": 10,
    "tenant": "tenant-123",
    "user_created": "user-123",
    "date_created": "2026-05-01T10:05:00.000Z",
    "user_updated": "user-456",
    "date_updated": "2026-06-01T08:30:00.000Z"
  }
}
{
  "error": "trusted_by_identity_required"
}
{
  "error": "string",
  "details": "string"
}
{
  "error": "string",
  "details": "string"
}
{
  "error": "string",
  "details": "string"
}
{
  "error": "string",
  "details": "string"
}

How is this guide?